Public Member Functions | Public Attributes | List of all members
PatchArray Struct Reference

`#include <types.h>`

## Public Member Functions
| PatchArray (Far::PatchDescriptor desc_in, int numPatches_in, int indexBase_in, int primitiveIdBase_in)
Far::PatchDescriptor const & | GetDescriptor () const
int | GetPatchType () const
int | GetNumPatches () const
int | GetIndexBase () const
int | GetPrimitiveIdBase () const

## Public Attributes
Far::PatchDescriptor | desc
int | numPatches
int | indexBase
int | primitiveIdBase

## Detailed Description

Definition at line 64 of file types.h.

## Constructor & Destructor Documentation

## § PatchArray()

PatchArray | ( | Far::PatchDescriptor | desc_in,
|  | int | numPatches_in,
|  | int | indexBase_in,
|  | int | primitiveIdBase_in
| ) |  |
| inline

Definition at line 66 of file types.h.

## Member Function Documentation

## § GetDescriptor()

Far::PatchDescriptor const& GetDescriptor | ( |  | ) | const
| inline

Definition at line 71 of file types.h.

## § GetIndexBase()

int GetIndexBase | ( |  | ) | const
| inline

Definition at line 81 of file types.h.

## § GetNumPatches()

int GetNumPatches | ( |  | ) | const
| inline

Definition at line 78 of file types.h.

## § GetPatchType()

int GetPatchType | ( |  | ) | const
| inline

Definition at line 75 of file types.h.

## § GetPrimitiveIdBase()

int GetPrimitiveIdBase | ( |  | ) | const
| inline

Definition at line 84 of file types.h.

## Member Data Documentation

## § desc

Far::PatchDescriptor desc

Definition at line 87 of file types.h.

## § indexBase

int indexBase

Definition at line 89 of file types.h.

## § numPatches

int numPatches

Definition at line 88 of file types.h.

## § primitiveIdBase

int primitiveIdBase

Definition at line 90 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/types.h